=== debian/watch ===
# See uscan(1) for format

version=3
opts=uversionmangle=s/((CR|B)\d+$)/~\L$1/ \
 http://www.oasis-open.org/docbook/xml/ebnf/([\d\.CR]+)
